package com.ruoyi.project.training.bccnew.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 蒸汽裂解装置导师带徒导师库对象 t_ts_trainer
 *
 * @author ssy
 * @date 2024-08-12
 */
public class TTsTrainer extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long trainerId;

    /** 工号 */
    @Excel(name = "工号")
    private String staffId;

    /** 姓名 */
    @Excel(name = "姓名")
    private String trainerName;

    /** 班组 */
    @Excel(name = "班组")
    private String team;

    /** 岗位 */
    @Excel(name = "岗位")
    private String post;

    /** 工作经历 */
    @Excel(name = "工作经历")
    private String experience;

    /** 带徒岗位 */
    @Excel(name = "带徒岗位")
    private String apprenticePosition;

    /** 删除状态 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date createdate;

    /** 修改人 */
    private String updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date updatedate;

    /** 部门编号 */
    private Long deptId;

    private String deptName;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    public void setTrainerId(Long trainerId)
    {
        this.trainerId = trainerId;
    }

    public Long getTrainerId()
    {
        return trainerId;
    }
    public void setStaffId(String staffId)
    {
        this.staffId = staffId;
    }

    public String getStaffId()
    {
        return staffId;
    }
    public void setTrainerName(String trainerName)
    {
        this.trainerName = trainerName;
    }

    public String getTrainerName()
    {
        return trainerName;
    }
    public void setTeam(String team)
    {
        this.team = team;
    }

    public String getTeam()
    {
        return team;
    }
    public void setPost(String post)
    {
        this.post = post;
    }

    public String getPost()
    {
        return post;
    }
    public void setExperience(String experience)
    {
        this.experience = experience;
    }

    public String getExperience()
    {
        return experience;
    }
    public void setApprenticePosition(String apprenticePosition)
    {
        this.apprenticePosition = apprenticePosition;
    }

    public String getApprenticePosition()
    {
        return apprenticePosition;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("trainerId", getTrainerId())
            .append("staffId", getStaffId())
            .append("trainerName", getTrainerName())
            .append("team", getTeam())
            .append("post", getPost())
            .append("experience", getExperience())
            .append("apprenticePosition", getApprenticePosition())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("remarks", getRemarks())
            .toString();
    }
}
